import 'package:json_annotation/json_annotation.dart';

import '../../../view/pages/timetable/data/timetable_name_mode.dart';

part 'timetable_settings.g.dart';

@JsonSerializable()
class TimetableSettings {
  bool connectDoubleLessons;
  TimetableNameMode timetableNameMode;

  TimetableSettings({
    required this.connectDoubleLessons,
    required this.timetableNameMode,
  });

  factory TimetableSettings.fromJson(Map<String, dynamic> json) =>
      _$TimetableSettingsFromJson(json);
  Map<String, dynamic> toJson() => _$TimetableSettingsToJson(this);
}
